Bulk Delete Threads By Selection
Delete a bounded thread selection inside one source space.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Delete selected threads inside one source space.
Response Body
application/json
application/json
curl -X POST "https://example.com/threads/bulk/delete" \ -H "Content-Type: application/json" \ -d '{ "selection": {} }'{ "message": "string", "deleted_count": 0, "failed_count": 0, "total_deleted_messages": 0, "total_deleted_memories": 0, "cascade_deletion": false, "results": [ { "thread_id": "string", "deleted": true, "deleted_messages": 0, "deleted_memories": 0, "cascade_deletion": false, "partial_success": true, "index_repair_pending": true, "deletion_outcome_uncertain": true, "error": "string" } ], "partial_success": true, "index_repair_pending": true, "deletion_outcome_uncertain": true}